<?xml version="1.0"?>
<!--
/**
 * Copyright © 2016 Magento. All rights reserved.
 * See COPYING.txt for license details.
 */
-->
<config xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="urn:magento:framework:Event/etc/events.xsd">
    <event name="payment_method_assign_data">
        <observer name="additional_data_reader" instance="Threepartment\Debitpayment\Observer\DataAssignObserver" />
    </event>
    <event name="payment_method_is_active">
        <observer name="payment_method_availability" instance="Threepartment\Debitpayment\Observer\PaymentMethodIsActiveObserver" />
    </event>
    
</config>